> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate text with streaming response (Server-Sent Events)



## OpenAPI

````yaml /api-reference/ai-cms/openapi.json post /ai/translate/stream
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /ai/translate/stream:
    post:
      tags:
        - AI
      summary: Translate text with streaming response (Server-Sent Events)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - text
                - targetLanguage
              properties:
                text:
                  type: string
                targetLanguage:
                  type: string
                  example: fa
      responses:
        '200':
          description: Server-Sent Events stream
          content:
            text/event-stream:
              schema:
                type: string
                description: |
                  Events:
                  - event: start - Translation started
                  - event: chunk - Translation chunk with progress
                  - event: complete - Translation complete with full content
                  - event: error - Error occurred
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````